kdesu(1)

kdesu - Exécute un programme avec élévation de privilèges

kdesu [-c commande] [-d] [-f fichier] [-i nom de l'icône] [-n] [-p priorité] [-r] [-s] [-t] [-u user] [--noignorebutton] [--attach winid]

kdesu [Options génériques de KDE] [Options génériques de Qt(TM)]

Description

KDE su est une interface graphique de l'Environnement de Bureau KDE pour la commande UNIX® su. Il vous permet d'exécuter un programme avec l'identité d'un autre utilisateur en fournissant le mot de passe de celui-ci. KDE su est un programme sans privilèges ; il utilise la commande su du système.

KDE su a une fonction supplémentaire : il peut se souvenir de votre mot de passe. Si vous utilisez cette possibilité, vous n'aurais à saisir votre mot de passe qu'une seule fois pour chaque commande.

Ce programme est prévu pour être démarré à partir de la ligne de commande ou de fichiers .desktop.

Comme kdesu n'est plus installé dans $(kde5-config --prefix)/bin mais dans kde5-config --path libexec et par conséquent pas dans votre variable Path, vous devez utiliser $(kde5-config --path libexec)kdesu pour lancer kdesu.

Options

-c commande
    Ce paramètre spécifie la commande à lancer en tant que administrateur. Il doit être passé comme un seul argument. Ainsi, par exemple, si vous voulez lancer un nouveau gestionnaire de fichiers, vous saisirez la commande : $(kde5-config --path libexec)kdesu -c Dolphin

-d
    Affiche les informations de débogage.

-f fichier
    Cette option permet une utilisation efficace de KDE su dans les fichiers .desktop. Elle indique à KDE su d'examiner le fichier spécifié par fichier. Si l'utilisateur peut écrire dans ce fichier, KDE su exécutera la commande avec le compte courant. Si l'écriture est impossible, la commande sera lancée avec le compte utilisateur (administrateur par défaut).

    fichier est évalué comme suit : si fichier commence par un /, il est considéré comme un nom de fichier absolu. Autrement, il est considéré comme étant le nom d'un fichier de configuration global de KDE.

-i nom de l'icône
    Spécifie l'icône à utiliser dans la boîte de dialogue du mot de passe. Vous pouvez spécifier uniquement le nom, sans extensions.

-n
    Ne pas mémoriser le mot de passe. Ceci désactive la case à cocher mémoriser le mot de passe dans la boîte de dialogue du mot de passe.

-p priorité
    Définie la priorité. La priorité est un nombre arbitraire entre 0 et 100, où 100 est la priorité la plus haute et 0 est la plus basse. Par défaut, elle est fixée à 50.

-r
    Utilise l'ordonnancement en temps réel.

-s
    Arrête le démon kdesu. Il s'agit du démon d'arrière plan chargé de conserver les mot de passes valables. Cette fonctionnalité peut aussi être désactivée avec -n lors du lancement initial de KDE su.

-t
    Active la sortie dans le terminal. Ceci désactive la mémorisation du mot de passe. Elle est utilisée pour le débogage ; si vous souhaitez exécuter une application en mode console, préférez plutôt su.

-u utilisateur
    Bien que KDE su servent le plus souvent à exécuter une commande en tant que administrateur, vous pouvez fournir n'importe quel nom d'utilisateur avec le mot de passe approprié.

--noignorebutton
    Ne pas afficher le bouton « ignorer ».

--attach winid
    Rend la fenêtre passagère pour une application X définie par son identifiant de fenêtre (winid).

Voir aussi

su(1)

Une documentation utilisateur plus détaillée est disponible à l'adresse help:/kdesu (saisissez cette URL dans Konqueror ou lancez khelpcenter help:/kdesu).

Exemples

Exécute kfmclient en tant qu'utilisateur jean et affiche l'icône de Konqueror dans la boîte de dialogue du mot de passe :

    $(kde5-config --path libexec)kdesu -u jacques -i konqueror kfmclient

Auteurs

KDE su a été écrit par Geert Jansen <g.t.jansen@stud.tue.nl> et Pietro Iglio <iglio@fub.it>.

Lauri Watts <lauri@kde.org>